import { ReactNode } from 'react';
import Record from '../data-set/Record';
import { Select, SelectProps } from '../select/Select';
export interface TransferListProps extends SelectProps {
    header?: ReactNode;
    selected: Record[];
    currentIndex?: number;
    oneWay?: boolean;
    targetOption?: Record[];
    direction: string;
    footer?: (options: Record[]) => ReactNode;
    onSelect: (e: any) => void;
    onSelectAll: (value: any) => void;
    setTargetOption?: (value: any) => void;
    onRemove?: (e: any) => void;
}
export default class TransferList extends Select<TransferListProps> {
    wrapperRef: HTMLDivElement | null;
    get popup(): boolean;
    get header(): ReactNode;
    get footer(): ReactNode;
    componentDidUpdate(): void;
    getOmitPropsKeys(): string[];
    getOtherProps(): any;
    getObservableProps(props: any, context: any): any;
    getMenuPrefixCls(): string;
    handleSelectAllChange(value: any): void;
    handleClear(): void;
    getHeaderSelected(): JSX.Element;
    getSearchField(): ReactNode;
    handleRemove: (value: any) => void;
    getMenuItem({ record, text, value }: {
        record: any;
        text: any;
        value: any;
    }): string | ReactNode;
    renderBody(): ReactNode;
    getClassName(): string | undefined;
    removeLastValue(): void;
    handleBlur(e: any): void;
    renderHelpMessage(): ReactNode;
    renderWrapper(): JSX.Element;
}
